summaryrefslogtreecommitdiff
path: root/include
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-12-22 08:36:23 +0000
committerLeah Rowe <leah@libreboot.org>2023-12-22 08:36:23 +0000
commitfa25414bab5ca9e487bd265f0709e90e41769c69 (patch)
tree58d145261351ee11c7556bf99ad3292e93a7b367 /include
parent8a87572227f25d5f7bafcfcf01bc69da027b402b (diff)
mrc.sh: run debugfs from extract_partition
Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include')
-rwxr-xr-xinclude/mrc.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/include/mrc.sh b/include/mrc.sh
index 11b1abb2..5ac09792 100755
--- a/include/mrc.sh
+++ b/include/mrc.sh
@@ -17,8 +17,6 @@ extract_mrc()
(
x_ cd "${appdir}"
extract_partition "${MRC_url##*/}"
- printf "cd /usr/sbin\ndump chromeos-firmwareupdate ${SHELLBALL}\nquit" \
- | debugfs "root-a.ext2" || err "extract_mrc: can't extract shellball"
extract_archive "${SHELLBALL}" .
) || err "mrc download/extract failure"
@@ -38,4 +36,7 @@ extract_partition()
dd if="${1%.zip}" of="root-a.ext2" bs=1024 \
skip=$(( ${START} / 1024 )) count=$(( ${SIZE} / 1024 )) || \
err "extract_partition, dd ${1%.zip}, root-a.ext2"
+
+ printf "cd /usr/sbin\ndump chromeos-firmwareupdate ${SHELLBALL}\nquit" \
+ | debugfs "root-a.ext2" || err "extract_mrc: can't extract shellball"
}